DefaultJcaJceHelper (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.jcajce.util

## Class DefaultJcaJceHelper

- java.lang.Object
- - org.bouncycastle.jcajce.util.DefaultJcaJceHelper

- All Implemented Interfaces:
    JcaJceHelper

      public class DefaultJcaJceHelper
      extends java.lang.Object
      implements JcaJceHelper

  `JcaJceHelper` that obtains all algorithms using the default JCA/JCE mechanism (i.e. without specifying a provider).

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultJcaJceHelper()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.security.AlgorithmParameterGenerator` | `createAlgorithmParameterGenerator(java.lang.String algorithm)`
    `java.security.AlgorithmParameters` | `createAlgorithmParameters(java.lang.String algorithm)`
    `java.security.cert.CertificateFactory` | `createCertificateFactory(java.lang.String algorithm)`
    `javax.crypto.Cipher` | `createCipher(java.lang.String algorithm)`
    `java.security.MessageDigest` | `createDigest(java.lang.String algorithm)`
    `javax.crypto.KeyAgreement` | `createKeyAgreement(java.lang.String algorithm)`
    `java.security.KeyFactory` | `createKeyFactory(java.lang.String algorithm)`
    `javax.crypto.KeyGenerator` | `createKeyGenerator(java.lang.String algorithm)`
    `java.security.KeyPairGenerator` | `createKeyPairGenerator(java.lang.String algorithm)`
    `javax.crypto.Mac` | `createMac(java.lang.String algorithm)`
    `javax.crypto.SecretKeyFactory` | `createSecretKeyFactory(java.lang.String algorithm)`
    `java.security.Signature` | `createSignature(java.lang.String algorithm)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultJcaJceHelper

          public DefaultJcaJceHelper()

  - ### Method Detail

    - #### createCipher

          public javax.crypto.Cipher createCipher(java.lang.String algorithm)
                                           throws java.security.NoSuchAlgorithmException,
                                                  javax.crypto.NoSuchPaddingException

      Specified by:
        `createCipher` in interface `JcaJceHelper`
      Throws:
        `java.security.NoSuchAlgorithmException`
        `javax.crypto.NoSuchPaddingException`

    - #### createMac

          public javax.crypto.Mac createMac(java.lang.String algorithm)
                                     throws java.security.NoSuchAlgorithmException

      Specified by:
        `createMac` in interface `JcaJceHelper`
      Throws:
        `java.security.NoSuchAlgorithmException`

    - #### createKeyAgreement

          public javax.crypto.KeyAgreement createKeyAgreement(java.lang.String algorithm)
                                                       throws java.security.NoSuchAlgorithmException

      Specified by:
        `createKeyAgreement` in interface `JcaJceHelper`
      Throws:
        `java.security.NoSuchAlgorithmException`

    - #### createAlgorithmParameterGenerator

          public java.security.AlgorithmParameterGenerator createAlgorithmParameterGenerator(java.lang.String algorithm)
                                                                                      throws java.security.NoSuchAlgorithmException

      Specified by:
        `createAlgorithmParameterGenerator` in interface `JcaJceHelper`
      Throws:
        `java.security.NoSuchAlgorithmException`

    - #### createAlgorithmParameters

          public java.security.AlgorithmParameters createAlgorithmParameters(java.lang.String algorithm)
                                                                      throws java.security.NoSuchAlgorithmException

      Specified by:
        `createAlgorithmParameters` in interface `JcaJceHelper`
      Throws:
        `java.security.NoSuchAlgorithmException`

    - #### createKeyGenerator

          public javax.crypto.KeyGenerator createKeyGenerator(java.lang.String algorithm)
                                                       throws java.security.NoSuchAlgorithmException

      Specified by:
        `createKeyGenerator` in interface `JcaJceHelper`
      Throws:
        `java.security.NoSuchAlgorithmException`

    - #### createKeyFactory

          public java.security.KeyFactory createKeyFactory(java.lang.String algorithm)
                                                    throws java.security.NoSuchAlgorithmException

      Specified by:
        `createKeyFactory` in interface `JcaJceHelper`
      Throws:
        `java.security.NoSuchAlgorithmException`

    - #### createSecretKeyFactory

          public javax.crypto.SecretKeyFactory createSecretKeyFactory(java.lang.String algorithm)
                                                               throws java.security.NoSuchAlgorithmException

      Specified by:
        `createSecretKeyFactory` in interface `JcaJceHelper`
      Throws:
        `java.security.NoSuchAlgorithmException`

    - #### createKeyPairGenerator

          public java.security.KeyPairGenerator createKeyPairGenerator(java.lang.String algorithm)
                                                                throws java.security.NoSuchAlgorithmException

      Specified by:
        `createKeyPairGenerator` in interface `JcaJceHelper`
      Throws:
        `java.security.NoSuchAlgorithmException`

    - #### createDigest

          public java.security.MessageDigest createDigest(java.lang.String algorithm)
                                                   throws java.security.NoSuchAlgorithmException

      Specified by:
        `createDigest` in interface `JcaJceHelper`
      Throws:
        `java.security.NoSuchAlgorithmException`

    - #### createSignature

          public java.security.Signature createSignature(java.lang.String algorithm)
                                                  throws java.security.NoSuchAlgorithmException

      Specified by:
        `createSignature` in interface `JcaJceHelper`
      Throws:
        `java.security.NoSuchAlgorithmException`

    - #### createCertificateFactory

          public java.security.cert.CertificateFactory createCertificateFactory(java.lang.String algorithm)
                                                                         throws java.security.cert.CertificateException

      Specified by:
        `createCertificateFactory` in interface `JcaJceHelper`
      Throws:
        `java.security.cert.CertificateException`